#ifndef TESTER_H
#define TESTER_H

#include <stdbool.h>

#ifdef __cplusplus
extern "C" {
#endif // __cplusplus

#define TEST_RESULT(BOOL) ((TestFuncResult){.name = __func__, .success = BOOL})
#define RUN_TEST_FUNCS(...) run_tests(__VA_ARGS__, NULL)

typedef struct test_func_result TestFuncResult;
struct test_func_result {
  const char *name;
  bool success;
};

typedef TestFuncResult(TestFunc)(void);

void run_tests(TestFunc *func1, ...);

#ifdef __cplusplus
}
#endif // __cplusplus

#endif // !TESTER_H
