#ifndef TEST_ARENA_H
#define TEST_ARENA_H

#include "tester.h"

#ifdef __cplusplus
extern "C" {
#endif // __cplusplus

TestFuncResult test_arena_init(void);
TestFuncResult test_arena_alloc_succeeds_when_within_capacity(void);
TestFuncResult test_arena_alloc_fails_when_over_capacity(void);
TestFuncResult test_arena_clear(void);
TestFuncResult test_arena_destroy(void);

#ifdef __cplusplus
}
#endif // __cplusplus

#endif // !TEST_ARENA_H
